class OBJET
--
-- Classe decrivant les caracteristiques et actions des humains
--

inherit
	UTILS

creation
	creer

feature {NONE}
	noms_objets: FAST_ARRAY[STRING]	-- nom des objets
	type: INTEGER			-- type de l'objet

	position_x: INTEGER		-- position x et y
	position_y: INTEGER		-- de l'objet


feature {ANY}

	-- creation d'un objet
	creer(t, x, y: INTEGER) is
		do
			type := t
			position_x := x
			position_y := y

			create noms_objets.make(6)
			noms_objets.put("une gourde de potion de vie", 0)
			noms_objets.put("des munitions", 1)
			noms_objets.put("un piege mortel", 2)
			noms_objets.put("un inverseur de coordonnees", 3)
			noms_objets.put("des vapeurs de pollution chimique", 4)
			noms_objets.put("un porte-monnaie contenant 1000 batdollars", 5)
			debug
				io.put_string(t.out + " sont crees en case " + x.out + ", " + y.out + "%N");
			end
		end


	-- affiche les donnees de l'objet
	details is
		do
			io.put_string(position_x.out + ", " + position_y.out + "	" + noms_objets.item(type).out  + "%N")
		end


	-- retourne la position x de l'objet
	get_position_x: INTEGER is
		do
			result := position_x
		end


	-- retourne la position y de l'objet
	get_position_y: INTEGER is
		do
			result := position_y
		end


	-- retourne le type de l'objet
	get_type: INTEGER is
		do
			result := type
		end

end -- class OBJET
